{
	"name": "electrobun-svelte",
	"version": "1.0.0",
	"type": "module",
	"description": "Electrobun app with Svelte and Vite HMR",
	"scripts": {
		"start": "vite build && electrobun dev",
		"dev": "electrobun dev --watch",
		"dev:hmr": "concurrently \"bun run hmr\" \"bun run start\"",
		"hmr": "vite --port 9760",
		"build:canary": "vite build && electrobun build --env=canary"
	},
	"dependencies": {
		"@codemirror/autocomplete": "^6.20.1",
		"@codemirror/commands": "^6.10.3",
		"@codemirror/lang-css": "^6.3.1",
		"@codemirror/lang-html": "^6.4.11",
		"@codemirror/lang-javascript": "^6.2.5",
		"@codemirror/lang-json": "^6.0.2",
		"@codemirror/lang-markdown": "^6.5.0",
		"@codemirror/lang-python": "^6.2.1",
		"@codemirror/lang-rust": "^6.0.2",
		"@codemirror/language": "^6.12.2",
		"@codemirror/search": "^6.6.0",
		"@codemirror/state": "^6.6.0",
		"@codemirror/theme-one-dark": "^6.1.3",
		"@codemirror/view": "^6.40.0",
		"@xterm/addon-canvas": "^0.7.0",
		"@xterm/addon-fit": "^0.11.0",
		"@xterm/addon-image": "^0.9.0",
		"@xterm/xterm": "^6.0.0",
		"electrobun": "latest",
		"pdfjs-dist": "^5.5.207"
	},
	"devDependencies": {
		"@sveltejs/vite-plugin-svelte": "^5.0.1",
		"@types/bun": "latest",
		"concurrently": "^9.1.0",
		"svelte": "^5.14.1",
		"typescript": "^5.7.2",
		"vite": "^6.0.3"
	}
}
